// #autoload
// #name = LoadSkipper
// #version = 1.0
// #status = Stable
// #date = January 1, 2002
// #description = The loadskipper, switches between the loadouts you've selected
// #credit = ilys for adding a previous loadout bind and fixed the bug

$BC_LoadIndeces[0] = 1;
$BC_LoadIndeces[1] = 2;
$BC_LoadIndeces[2] = 7;
$BC_LoadIndeces[3] = 10;
$BC_LoadIndeces[4] = 5;
$BC_LoadIndeces[5] = 13;
$BC_LoadIndeces[6] = 17;
$BC_LoadIndeces[7] = 20;

$BC_nrOfIndeces = 8;

function BertNextLoad(%val)
{
	if(!%val) return;
	$BC_CurrentLoad++;
	if($BC_CurrentLoad >= $BC_nrOfIndeces) $BC_CurrentLoad = 0;
	loadFavorite($BC_LoadIndeces[$BC_CurrentLoad]-1,1);
}
function BertPrevLoad(%val)
{
	if(!%val) return;
	$BC_CurrentLoad--;
	if($BC_CurrentLoad < 0) $BC_CurrentLoad = $BC_nrOfIndeces-1;
	loadFavorite($BC_LoadIndeces[$BC_CurrentLoad]-1,1);
}
package BertLoadSkipper
{
	function DispatchLaunchMode()
	{
		$BC_CurrentLoad = 0;
		parent::DispatchLaunchMode();
	}
	function loadFavorite(%index, %echo)
	{
		parent::loadFavorite(%index, %echo);
		for(%x =0; %x < $BC_nrOfIndeces; %x++)
		{
			if($BC_LoadIndeces[%x]-1 == %index) $BC_CurrentLoad = %x;
		}

	}
	function OptionsDlg::onWake(%this)
	{
		if(!$BertLoadSkipper)
		{
			$RemapName[$RemapCount]="Next Loadout";
			$RemapCmd[$RemapCount]="BertNextLoad";
			$RemapCount++;
			$RemapName[$RemapCount]="Previous Loadout";
			$RemapCmd[$RemapCount]="BertPrevLoad";
			$RemapCount++;
			$BertLoadSkipper = true;
		}
		parent::onWake(%this);
	}
};
activatePackage(BertLoadSkipper);